# netscaler_save_config – Save Netscaler configuration

New in version 2.4.0.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module unconditionally saves the configuration on the target netscaler node.
- This module does not support check mode.
- This module is intended to run either on the ansible control node or a bastion (jumpserver) with access to the actual netscaler instance.

## Requirements

The below requirements are needed on the host that executes this module.

- nitro python sdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
nitro_pass - / required |  | The password with which to authenticate to the netscaler node.

nitro_protocol
-

Choices:
- http ←
- https

Which protocol to use when accessing the nitro API objects.

nitro_timeout - | Default: 310 | Time in seconds until a timeout error is thrown when establishing a new session with Netscaler.
nitro_user - / required |  | The username with which to authenticate to the netscaler node.
nsip - / required |  | The ip address of the netscaler appliance where the nitro API calls will be made. The port can be specified with the colon (:). E.g. `192.168.1.1:555`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    ---
    - name: Save netscaler configuration
      delegate_to: localhost
      netscaler_save_config:
        nsip: 172.18.0.2
        nitro_user: nsroot
        nitro_pass: nsroot

    - name: Setup server without saving  configuration
      delegate_to: localhost
      notify: Save configuration
      netscaler_server:
        nsip: 172.18.0.2
        nitro_user: nsroot
        nitro_pass: nsroot

        save_config: no

        name: server-1
        ipaddress: 192.168.1.1

    # Under playbook's handlers

    - name: Save configuration
      delegate_to: localhost
      netscaler_save_config:
        nsip: 172.18.0.2
        nitro_user: nsroot
        nitro_pass: nsroot

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
loglines list | always | list of logged messages by the module Sample: ['message 1', 'message 2']
msg string | failure | Message detailing the failure reason Sample: Action does not exist

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- George Nikolopoulos (@giorgos-nikolopoulos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.